Apache log4cxx Version 0.10.0

- Main Page
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions | List of all members
ThreadPatternConverter Class Reference

Formats the event thread name. More...

Inherits LoggingEventPatternConverter.

## Public Member Functions
void | format (const log4cxx::spi::LoggingEventPtr &event, LogString &toAppendTo, log4cxx::helpers::Pool &p) const
| Formats an event into a string buffer. More...
Public Member Functions inherited from LoggingEventPatternConverter
void | format (const log4cxx::helpers::ObjectPtr &obj, LogString &toAppendTo, log4cxx::helpers::Pool &p) const
virtual bool | handlesThrowable () const
| Normally pattern converters are not meant to handle Exceptions although few pattern converters might. More...
Public Member Functions inherited from PatternConverter
virtual LogString | getStyleClass (const log4cxx::helpers::ObjectPtr &e) const
| This method returns the CSS style class that should be applied to the LoggingEvent passed as parameter, which can be null. More...
Public Member Functions inherited from ObjectImpl
| ObjectImpl ()
virtual | ~ObjectImpl ()
void | addRef () const
void | releaseRef () const
Public Member Functions inherited from Object
virtual const helpers::Class & | getClass () const
virtual | ~Object ()
virtual bool | instanceof (const Class &clazz) const =0
virtual const void * | cast (const Class &clazz) const =0

## Static Public Member Functions
static PatternConverterPtr | newInstance (const std::vector< LogString > &options)
| Obtains an instance of ThreadPatternConverter. More...
Static Public Member Functions inherited from Object
static const helpers::Class & | getStaticClass ()
static const log4cxx::helpers::ClassRegistration & | registerClass ()

## Additional Inherited Members
Protected Member Functions inherited from LoggingEventPatternConverter
| LoggingEventPatternConverter (const LogString &name, const LogString &style)
| Constructs an instance of LoggingEventPatternConverter. More...
Protected Member Functions inherited from PatternConverter
| PatternConverter (const LogString &name, const LogString &style)
| Create a new pattern converter. More...
virtual | ~PatternConverter ()
Static Protected Member Functions inherited from PatternConverter
static void | append (LogString &toAppendTo, const std::string &src)
| Appends content in the locale code page to a LogString. More...
Protected Attributes inherited from ObjectImpl
unsigned int volatile | ref

## Detailed Description

Formats the event thread name.

## Member Function Documentation

void format | ( | const log4cxx::spi::LoggingEventPtr & | event,
|  | LogString & | toAppendTo,
|  | log4cxx::helpers::Pool & | p
| ) |  | const
| virtual

Formats an event into a string buffer.

Parameters

  event | event to format, may not be null.
  toAppendTo | string buffer to which the formatted event will be appended. May not be null.
  p | pool for memory allocations needing during format.

Implements LoggingEventPatternConverter.

static PatternConverterPtr newInstance | ( | const std::vector< LogString > & | options | ) |
| static

Obtains an instance of ThreadPatternConverter.

Parameters

  options | options, currently ignored, may be null.

Returns
  instance of ThreadPatternConverter.

The documentation for this class was generated from the following file:

- threadpatternconverter.h